# salt.states.openvswitch_db module

Management of Open vSwitch database records.

Added in version 3006.0.

salt.states.openvswitch_db.managed(name, table, data, record=None)

  Ensures that the specified columns of the named record have the specified values.

  Parameters:

    - name -- string name of the record

    - table -- string name of the table to which the record belongs.

    - data -- dict dictionary containing a mapping from column names to the desired values. Columns that exist, but are not specified in this dictionary are not touched.

    - record -- string name of the record (optional). Replaces name if specified.